net.sourceforge.pmd

## Interface ReportListener

All Known Implementing Classes:
  SynchronizedReportListener

    public interface ReportListener

### Method Summary

Methods
`void` `metricAdded(Metric metric)`
`void` `ruleViolationAdded(RuleViolation ruleViolation)`

### Method Detail

#### ruleViolationAdded

    void ruleViolationAdded(RuleViolation ruleViolation)

#### metricAdded

    void metricAdded(Metric metric)